Subject: Re: bug#77928: 31.0.50; ebcde0f90f6 (bug#77928) breaks :custom-face for themed faces

From: Michael Shields <[email-masked]>
Date: Mon, 19 May 2025 22:51:29 -0700

I think I understand the issue, but not its solution. There are more or
less three standard ways to change faces now: Customize, themes, and
use-package :custom-face. But there is no clear way to resolve the ordering
between them, or whether they replace or inherit at each level. The
behavior I was surprised by, and that has been reported previously, is that
there was no way to specify a replacement for face settings. But Steven is
surprised by the fact that things now happen at a level below theme
application, and the theme replaces instead of inherits the defface spec.